#!/usr/bin/gnuplot

set term x11

set xl "a [AU]"
set yl "e"
set cbl "number of observed asteroids"

set xr [2.85:3.25]
set yr [0.00:0.30]
set cbr [0:150]

set ang deg
set nokey
set pm3d map
set pm3d corners2color c1
set palette rgbformulae 7,5,15

set nolabel
set label "sin I = 0.06 - 0.30" at graph 0.95, graph 1+0.100 right
set label "observed"            at graph 0.05, graph 1+0.100 left

a_J73 = 2.956
a_J94 = 3.029
a_J115 = 3.074
set label "J7/3" at a_J73, graph 1.03 center font "Helvetica,10"
set label "J9/4" at a_J94, graph 1.03 center font "Helvetica,10"
set label "J11/5 and 3J-2S-1" at a_J115-0.015, graph 1.03 left font "Helvetica,10"
set arrow from a_J73 , graph 0 to a_J73 , graph 1 lt -2 front
set arrow from a_J94 , graph 0 to a_J94 , graph 1 lt -2 front
set arrow from a_J115, graph 0 to a_J115, graph 1 lt -2 front

sp \
  "<awk '($4 >=0.00) && ($4 <=0.30){ print; i++; } (NF==0) && (i>0){ print; i=0; }' boxes_obs.dat" u ($1):($2):($5),\
  "<awk '($5 >=0.00) && ($5 <=0.30)' obs.dat" u 3:4:5 w d lt 2
pa -1

set term png enh
set out "ae_obs.png"
rep


